<?php
/**
 * Customize for Shop loop product
 */
return [
    [
        'name'           => 'zoo_shop_columns_settings',
        'type'           => 'heading',
        'label'          => esc_html__( 'Columns Settings', 'elementor-theme' ),
        'description' => esc_html__( 'Product per page will be sum of Rows per page and Products per row.', 'elementor-theme' ),
        'section'        => 'woocommerce_product_catalog',
        'theme_supports' => 'woocommerce'
    ],
    [
        'name'        => 'zoo_shop_cols_tablet',
        'type'        => 'number',
        'label'       => esc_html__( 'Shop loop columns on Tablet', 'elementor-theme' ),
        'section'     => 'woocommerce_product_catalog',
        'unit'        => false,
        'input_attrs' => array(
            'min'   => 1,
            'max'   => 6,
            'class' => 'zoo-range-slider'
        ),
        'default'     => 2,
    ],
    [
        'name'        => 'zoo_shop_cols_mobile',
        'type'        => 'number',
        'label'       => esc_html__( 'Shop loop columns on Mobile', 'elementor-theme' ),
        'section'     => 'woocommerce_product_catalog',
        'input_attrs' => array(
            'min'   => 1,
            'max'   => 6,
            'class' => 'zoo-range-slider'
        ),
        'default'     => 2,
    ],
    [
        'name'           => 'zoo_shop_general_settings',
        'type'           => 'heading',
        'label'          => esc_html__( 'General Settings', 'elementor-theme' ),
        'section'        => 'woocommerce_product_catalog',
        'theme_supports' => 'woocommerce',
        'order'=>-1
    ],
    [
        'name'           => 'zoo_enable_catalog_mod',
        'type'           => 'checkbox',
        'section'        => 'woocommerce_product_catalog',
        'label'          => esc_html__( 'Enable Catalog Mod', 'elementor-theme' ),
        'checkbox_label' => esc_html__( 'Will be enabled if checked.', 'elementor-theme' ),
        'theme_supports' => 'woocommerce',
        'default'        => 0
    ],
    [
        'name'           => 'zoo_enable_free_shipping_notice',
        'type'           => 'checkbox',
        'section'        => 'woocommerce_product_catalog',
        'label'          => esc_html__( 'Enable Free Shipping Notice', 'elementor-theme' ),
        'checkbox_label' => esc_html__( 'Free shipping thresholds will show in cart if checked.', 'elementor-theme' ),
        'theme_supports' => 'woocommerce',
        'default'        => 1,
    ],
    [
        'name'           => 'zoo_enable_shop_heading',
        'type'           => 'checkbox',
        'section'        => 'woocommerce_product_catalog',
        'label'          => esc_html__( 'Enable Shop Heading', 'elementor-theme' ),
        'checkbox_label' => esc_html__( 'Display product archive title and description.', 'elementor-theme' ),
        'theme_supports' => 'woocommerce',
        'default'        => 1,
    ],[
        'name'           => 'zoo_enable_cat_des',
        'type'           => 'checkbox',
        'section'        => 'woocommerce_product_catalog',
        'label'          => esc_html__( 'Enable Product Category Description', 'elementor-theme' ),
        'checkbox_label' => esc_html__( 'Display product description and thumbnail.', 'elementor-theme' ),
        'theme_supports' => 'woocommerce',
        'default'        => 1,
    ],
    [
        'name'        => 'zoo_shop_banner',
        'type'        => 'image',
        'section'     => 'woocommerce_product_catalog',
        'title'       => esc_html__( 'Shop banner', 'elementor-theme' ),
        'description' => esc_html__( 'Banner image display at top Products page. It will override by Category image.', 'elementor-theme' ),
        'required'    => [ 'zoo_enable_shop_heading', '==', '1' ],
    ],
    [
        'name'           => 'zoo_shop_layout_settings',
        'type'           => 'heading',
        'label'          => esc_html__( 'Layout Settings', 'elementor-theme' ),
        'section'        => 'woocommerce_product_catalog',
        'theme_supports' => 'woocommerce'
    ],
    [
        'name'    => 'zoo_shop_sidebar',
        'type'    => 'select',
        'section' => 'woocommerce_product_catalog',
        'title'   => esc_html__( 'Shop Sidebar', 'elementor-theme' ),
        'default' => 'left',
        'choices' => [
            'top'        => esc_html__( 'Top (Horizontal)', 'elementor-theme' ),
            'left'       => esc_html__( 'Left', 'elementor-theme' ),
            'right'      => esc_html__( 'Right', 'elementor-theme' ),
            'off-canvas' => esc_html__( 'Off canvas', 'elementor-theme' ),
        ]
    ],
    [
        'type'           => 'checkbox',
        'name'           => 'zoo_shop_full_width',
        'label'          => esc_html__( 'Enable Shop Full Width', 'elementor-theme' ),
        'section'        => 'woocommerce_product_catalog',
        'default'        => '0',
        'checkbox_label' => esc_html__( 'Shop layout will full width if enabled.', 'elementor-theme' ),
    ],
    [
        'type'           => 'checkbox',
        'name'           => 'zoo_enable_shop_loop_item_border',
        'label'          => esc_html__( 'Enable Product border', 'elementor-theme' ),
        'section'        => 'woocommerce_product_catalog',
        'default'        => '0',
        'checkbox_label' => esc_html__( 'Enable border for product item.', 'elementor-theme' ),
    ],
    [
        'type'           => 'checkbox',
        'name'           => 'zoo_enable_highlight_featured_product',
        'label'          => esc_html__( 'Enable High light Featured Product', 'elementor-theme' ),
        'section'        => 'woocommerce_product_catalog',
        'default'        => '0',
        'checkbox_label' => esc_html__( 'Featured product will display bigger more than another product.', 'elementor-theme' ),
    ],
    [
        'type'        => 'number',
        'name'        => 'zoo_shop_loop_item_gutter',
        'label'       => esc_html__( 'Product Gutter', 'elementor-theme' ),
        'section'     => 'woocommerce_product_catalog',
        'description' => esc_html__( 'White space between product item.', 'elementor-theme' ),
        'input_attrs' => array(
            'min'   => 0,
            'max'   => 100,
            'class' => 'zoo-range-slider'
        ),
        'default'     => 30
    ],
    [
        'name'           => 'zoo_shop_product_item_settings',
        'type'           => 'heading',
        'label'          => esc_html__( 'Product Item Settings', 'elementor-theme' ),
        'section'        => 'woocommerce_product_catalog',
        'theme_supports' => 'woocommerce'
    ],
    [
        'name' => 'zoo_product_hover_effect',
        'type' => 'select',
        'section' => 'woocommerce_product_catalog',
        'title' => esc_html__('Hover Effect', 'elementor-theme'),
        'description' => esc_html__('Hover Effect of product item when hover.', 'elementor-theme'),
        'default' => 'default',
        'choices' => [
            'default' => esc_html__('Default', 'elementor-theme'),
            'style-2' => esc_html__('Style 2', 'elementor-theme'),
            'style-3' => esc_html__('Style 3', 'elementor-theme'),
            'style-4' => esc_html__('Style 4', 'elementor-theme'),
            'style-5' => esc_html__('Style 5', 'elementor-theme'),
            'style-6' => esc_html__('Style 6', 'elementor-theme'),
        ]
    ],
    [
        'name'           => 'zoo_enable_shop_loop_cart',
        'type'           => 'checkbox',
        'section'        => 'woocommerce_product_catalog',
        'label'          => esc_html__( 'Enable Shop Loop Cart', 'elementor-theme' ),
        'checkbox_label' => esc_html__( 'Button Add to cart will show if checked.', 'elementor-theme' ),
        'theme_supports' => 'woocommerce',
        'default'        => 0,
        'required'       => [ 'zoo_enable_catalog_mod', '!=', 1 ],
    ],
    [
        'name'    => 'zoo_shop_cart_icon',
        'type'    => 'icon',
        'section' => 'woocommerce_product_catalog',
        'title'   => esc_html__( 'Cart icon', 'elementor-theme' ),
        'default' => [
            'type' => 'zoo-icon',
            'icon' => 'zoo-icon-cart'
        ]
    ],
    [
        'type'           => 'checkbox',
        'name'           => 'zoo_enable_alternative_images',
        'label'          => esc_html__( 'Enable Alternative Image', 'elementor-theme' ),
        'section'        => 'woocommerce_product_catalog',
        'default'        => '1',
        'checkbox_label' => esc_html__( 'Alternative Image will show if checked.', 'elementor-theme' ),
    ],
    [
        'type'    => 'select',
        'name'    => 'zoo_sale_type',
        'label'   => esc_html__( 'Sale label type display', 'elementor-theme' ),
        'section' => 'woocommerce_product_catalog',
        'default' => 'text',
        'choices' => [
            'numeric' => esc_html__( 'Numeric', 'elementor-theme' ),
            'text'    => esc_html__( 'Text', 'elementor-theme' ),
        ]
    ],
    [
        'type'           => 'checkbox',
        'name'           => 'zoo_enable_shop_new_label',
        'label'          => esc_html__( 'Show New Label', 'elementor-theme' ),
        'section'        => 'woocommerce_product_catalog',
        'default'        => '1',
        'checkbox_label' => esc_html__( 'Stock New will show if checked.', 'elementor-theme' ),
    ],
    [
        'type'           => 'checkbox',
        'name'           => 'zoo_enable_shop_stock_label',
        'label'          => esc_html__( 'Show Stock Label', 'elementor-theme' ),
        'section'        => 'woocommerce_product_catalog',
        'default'        => '1',
        'checkbox_label' => esc_html__( 'Stock label will show if checked.', 'elementor-theme' ),
    ],
    [
        'type'           => 'checkbox',
        'name'           => 'zoo_enable_quick_view',
        'label'          => esc_html__( 'Enable Quick View', 'elementor-theme' ),
        'section'        => 'woocommerce_product_catalog',
        'default'        => '1',
        'checkbox_label' => esc_html__( 'Button quick view will show if checked.', 'elementor-theme' ),
    ],
    [
        'type'           => 'checkbox',
        'name'           => 'zoo_enable_shop_loop_rating',
        'label'          => esc_html__( 'Show rating', 'elementor-theme' ),
        'section'        => 'woocommerce_product_catalog',
        'default'        => '1',
        'checkbox_label' => esc_html__( 'Show rating in product item if checked.', 'elementor-theme' ),
    ],
    [
        'name'           => 'zoo_limit_title_shop_loop_settings',
        'type'           => 'heading',
        'label'          => esc_html__( 'Limit Words for Title Shop Loop', 'cerato' ),
        'section'        => 'woocommerce_product_catalog',
        'theme_supports' => 'woocommerce'
    ],
    [
        'type'           => 'number',
        'name'           => 'zoo_number_limit_title_shop_loop',
        'label'          => esc_html__( 'Number Limit Words', 'cerato' ),
        'section'        => 'woocommerce_product_catalog',
        'default'        => 55,
    ],
    [
        'type'           => 'text',
        'name'           => 'zoo_more_limit_title_shop_loop',
        'label'          => esc_html__( 'Append If Text Needs To Be Trimmed', 'cerato' ),
        'section'        => 'woocommerce_product_catalog',
        'default'        => null,
        'description' => esc_html__( 'Append to the end of the trimmed text, e.g. ….', 'cerato' ),
    ],
    /*Product image thumb for gallery*/
    [
        'name'           => 'zoo_gallery_thumbnail_heading',
        'type'           => 'heading',
        'label'          => esc_html__( 'Gallery Thumbnail', 'elementor-theme' ),
        'section'        => 'woocommerce_product_images',
        'theme_supports' => 'woocommerce'
    ],
    [
        'type'           => 'number',
        'name'           => 'zoo_gallery_thumbnail_width',
        'label'          => esc_html__( 'Gallery Thumbnail Width', 'elementor-theme' ),
        'section'        => 'woocommerce_product_images',
        'default'        => '120',
        'description' => esc_html__( 'Max width of image for gallery thumbnail.', 'elementor-theme' ),
    ],
    [
        'type'           => 'number',
        'name'           => 'zoo_gallery_thumbnail_height',
        'label'          => esc_html__( 'Gallery Thumbnail Height', 'elementor-theme' ),
        'section'        => 'woocommerce_product_images',
        'default'        => '120',
    ],
    [
        'type'           => 'checkbox',
        'name'           => 'zoo_gallery_thumbnail_crop',
        'label'          => esc_html__( 'Crop', 'elementor-theme' ),
        'section'        => 'woocommerce_product_images',
        'default'        => '0',
        'checkbox_label' => esc_html__( 'Crop Gallery Thumbnail.', 'elementor-theme' ),
    ],
];
